{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>stories:write</code>\n\nAdds a story to a task. This endpoint currently only allows for comment\nstories to be created. The comment will be authored by the currently\nauthenticated user, and timestamped when the server receives the request.\n\nOmit `parent_comment` to create a top-level comment. To create a threaded\nreply, pass the top-level comment's `comment_gid`, not its story `gid`.\nRetrieve it with `GET /stories/{story_gid}?opt_fields=comment_gid` or\n`GET /tasks/{task_gid}/stories?opt_fields=comment_gid,text,anchor_gid`.\nThe parent must belong to this task and must not itself be a reply.\nA top-level comment's `anchor_gid` is the task GID; a reply's `anchor_gid`\nis its parent comment's envelope GID.\n\nReturns the full record for the new story added to the task.","properties":{"path":{"type":"object","properties":{"task_gid":{"type":"string","examples":["321654"],"description":"The task to operate on."}},"required":["task_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["anchor_gid","assignee","assignee.name","comment_gid","created_at","created_by","created_by.name","custom_field","custom_field.date_value","custom_field.date_value.date","custom_field.date_value.date_time","custom_field.display_value","custom_field.enabled","custom_field.enum_options","custom_field.enum_options.color","custom_field.enum_options.enabled","custom_field.enum_options.name","custom_field.enum_value","custom_field.enum_value.color","custom_field.enum_value.enabled","custom_field.enum_value.name","custom_field.id_prefix","custom_field.input_restrictions","custom_field.is_formula_field","custom_field.is_lookup_field","custom_field.multi_enum_values","custom_field.multi_enum_values.color","custom_field.multi_enum_values.enabled","custom_field.multi_enum_values.name","custom_field.name","custom_field.number_value","custom_field.representation_type","custom_field.text_value","custom_field.type","dependency","dependency.created_by","dependency.name","dependency.resource_subtype","duplicate_of","duplicate_of.created_by","duplicate_of.name","duplicate_of.resource_subtype","duplicated_from","duplicated_from.created_by","duplicated_from.name","duplicated_from.resource_subtype","follower","follower.name","hearted","hearts","hearts.user","hearts.user.name","html_text","is_editable","is_edited","is_pinned","liked","likes","likes.user","likes.user.name","new_approval_status","new_date_value","new_dates","new_dates.due_at","new_dates.due_on","new_dates.start_on","new_enum_value","new_enum_value.color","new_enum_value.enabled","new_enum_value.name","new_multi_enum_values","new_multi_enum_values.color","new_multi_enum_values.enabled","new_multi_enum_values.name","new_name","new_number_value","new_people_value","new_people_value.name","new_resource_subtype","new_section","new_section.name","new_text_value","num_hearts","num_likes","old_approval_status","old_date_value","old_dates","old_dates.due_at","old_dates.due_on","old_dates.start_on","old_enum_value","old_enum_value.color","old_enum_value.enabled","old_enum_value.name","old_multi_enum_values","old_multi_enum_values.color","old_multi_enum_values.enabled","old_multi_enum_values.name","old_name","old_number_value","old_people_value","old_people_value.name","old_resource_subtype","old_section","old_section.name","old_text_value","previews","previews.fallback","previews.footer","previews.header","previews.header_link","previews.html_text","previews.text","previews.title","previews.title_link","project","project.name","project.resource_subtype","reaction_summary","reaction_summary.count","reaction_summary.emoji_base","reaction_summary.reacted","reaction_summary.variant","resource_subtype","source","sticker_name","story","story.anchor_gid","story.comment_gid","story.created_at","story.created_by","story.created_by.name","story.resource_subtype","story.text","tag","tag.name","target","target.created_by","target.name","target.resource_subtype","task","task.created_by","task.name","task.resource_subtype","text","type"]},"examples":[["anchor_gid","assignee","assignee.name","comment_gid","created_at","created_by","created_by.name","custom_field","custom_field.date_value","custom_field.date_value.date","custom_field.date_value.date_time","custom_field.display_value","custom_field.enabled","custom_field.enum_options","custom_field.enum_options.color","custom_field.enum_options.enabled","custom_field.enum_options.name","custom_field.enum_value","custom_field.enum_value.color","custom_field.enum_value.enabled","custom_field.enum_value.name","custom_field.id_prefix","custom_field.input_restrictions","custom_field.is_formula_field","custom_field.is_lookup_field","custom_field.multi_enum_values","custom_field.multi_enum_values.color","custom_field.multi_enum_values.enabled","custom_field.multi_enum_values.name","custom_field.name","custom_field.number_value","custom_field.representation_type","custom_field.text_value","custom_field.type","dependency","dependency.created_by","dependency.name","dependency.resource_subtype","duplicate_of","duplicate_of.created_by","duplicate_of.name","duplicate_of.resource_subtype","duplicated_from","duplicated_from.created_by","duplicated_from.name","duplicated_from.resource_subtype","follower","follower.name","hearted","hearts","hearts.user","hearts.user.name","html_text","is_editable","is_edited","is_pinned","liked","likes","likes.user","likes.user.name","new_approval_status","new_date_value","new_dates","new_dates.due_at","new_dates.due_on","new_dates.start_on","new_enum_value","new_enum_value.color","new_enum_value.enabled","new_enum_value.name","new_multi_enum_values","new_multi_enum_values.color","new_multi_enum_values.enabled","new_multi_enum_values.name","new_name","new_number_value","new_people_value","new_people_value.name","new_resource_subtype","new_section","new_section.name","new_text_value","num_hearts","num_likes","old_approval_status","old_date_value","old_dates","old_dates.due_at","old_dates.due_on","old_dates.start_on","old_enum_value","old_enum_value.color","old_enum_value.enabled","old_enum_value.name","old_multi_enum_values","old_multi_enum_values.color","old_multi_enum_values.enabled","old_multi_enum_values.name","old_name","old_number_value","old_people_value","old_people_value.name","old_resource_subtype","old_section","old_section.name","old_text_value","previews","previews.fallback","previews.footer","previews.header","previews.header_link","previews.html_text","previews.text","previews.title","previews.title_link","project","project.name","project.resource_subtype","reaction_summary","reaction_summary.count","reaction_summary.emoji_base","reaction_summary.reacted","reaction_summary.variant","resource_subtype","source","sticker_name","story","story.anchor_gid","story.comment_gid","story.created_at","story.created_by","story.created_by.name","story.resource_subtype","story.text","tag","tag.name","target","target.created_by","target.name","target.resource_subtype","task","task.created_by","task.name","task.resource_subtype","text","type"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/TaskStoryCreateRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"TaskStoryCreateRequest":{"allOf":[{"$ref":"#/definitions/StoryRequest"},{"type":"object","properties":{"parent_comment":{"description":"The GID of the top-level comment envelope to reply to, exposed as `comment_gid` on story reads. This is not the story `gid`. Retrieve it with `GET /stories/{story_gid}?opt_fields=comment_gid`. The parent must belong to the task in the request URL and must not itself be a reply. Works with either `text` or `html_text`. Omit this input to create a top-level comment.","type":"string","examples":["12345"]}}}]},"StoryRequest":{"$ref":"#/definitions/StoryBase"},"StoryBase":{"description":"A story represents an activity associated with an object in the Asana system.","type":"object","properties":{"text":{"description":"The plain text of the comment to add. Cannot be used with html_text.","type":"string","examples":["This is a comment."]},"html_text":{"description":"[Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator. See [rich text](/docs/rich-text).","type":"string","examples":["<body>This is a comment.</body>"]},"is_pinned":{"description":"*Conditional*. Whether the story should be pinned on the resource.","type":"boolean","examples":[false]},"sticker_name":{"description":"The name of the sticker in this story. `null` if there is no sticker.","type":"string","enum":["green_checkmark","people_dancing","dancing_unicorn","heart","party_popper","people_waving_flags","splashing_narwhal","trophy","yeti_riding_unicorn","celebrating_people","determined_climbers","phoenix_spreading_love"],"examples":["dancing_unicorn"]}}}}},"name":"Create a story on a task","id":"asana.createstoryfortask","example":{"path":{"task_gid":"321654"},"body":{}},"maxRequests":1,"summary":false}}